import time
import random

field = [['.']*3 for _ in range(5)]


difficulty = input('Введи сложность (Проселочная дорога| Не оживленный участок| Автомагистраль| МОСКВА):')

Start = input('Введи "старт" для запуска игры || Введи "?" для справки:')


score = 0

if Start == "старт":
    def draw_field(player_pos, cars):
        for y in range(5):
            for x in range(3):
                if [x, y] == player_pos:
                    print('8', end='')
                elif [x, y] in cars:
                    print('!', end='')
                else:
                    print(field[y][x], end='')
            print()


    player_pos = [1, 4]
    cars = []

    # Главный игровой цикл
    while True:
        if difficulty == "Проселочная дорога":
            if random.random() < 0.2:
                cars.append([random.randint(0, 2), 0])
        elif difficulty == "Не оживленный участок":
            if random.random() < 0.4:
                cars.append([random.randint(0, 2), 0])
        elif difficulty == "Автомагистраль":
            if random.random() < 0.6:
                cars.append([random.randint(0, 2), 0])
        elif difficulty == "МОСКВА":
            if random.random() < 1:
                cars.append([random.randint(0, 2), 0])
        else:
            print("Выбрана не корректная сложность!\nПеред и после написанной сложностью н̳е̳ ̳д̳о̳л̳ж̳н̳о̳ ̳б̳ы̳т̳ь̳ ̳п̳р̳о̳б̳е̳л̳о̳в̳!̳")

        # Проверяем столкновение с машиной
        if player_pos in cars:
            print("=======||▞▞▞▞▞▖Автокатастрофа!▝▞▞▞▞▞||=======")
            print("Ваш счет: ", score, "(кол-во пройденных к̳л̳е̳т̳о̳к̳)")
            input()
            break


        new_cars = []
        for car in cars:
            if car[1] < 4:
                car[1] += 1
                score += 1
                new_cars.append(car)
        cars = new_cars

 
        draw_field(player_pos, cars)

  
        action = input("Выбери действие(1-влево; 2-на месте; 3-вправо): ")

        # Обрабатываем действие игрока
        if action == '1':
            player_pos[0] -= 1
        elif action == '3':
            player_pos[0] += 1

        if player_pos[0] < 0:
            print("=======||▞▞▞▞▞▖Автокатастрофа! (Левая стена)▝▞▞▞▞▞||=======")
            print("Ваш счет: ", score, "(кол-во пройденных к̳л̳е̳т̳о̳к̳)")
            input()
            break
        elif player_pos[0] > 2:
            print("=======||▞▞▞▞▞▖Автокатастрофа! (Правая стена)▝▞▞▞▞▞||=======")
            print("Ваш счет: ", score, "(кол-во пройденных к̳л̳е̳т̳о̳к̳)")
            input()
            break


            

    time.sleep(0.5)  
elif Start == "?":
    print('Значение сложностей:\n Проселочная дорога - шанс на появление машины (графическое изображенеие - !) равен 20% каждый ход.\n Не оживленный участок - шанс на появление машины (графическое изображенеие - !) равен 40% каждый ход.\n Автомагистраль - шанс на появление машины (графическое изображенеие - !) равен 60% каждый ход.\n МОСКВА -  шанс на появление машины (графическое изображенеие - !) равен 100% каждый ход.\nИспытание для самых искушенных!')
    input()
else:
    print("Не корректный ключ, можно использовать 'старт' или '?'.")
    input()